Skip to main content
GET
/
event_schema
List event schemas
curl --request GET \
  --url https://api.togai.com/event_schema \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/event_schema"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/event_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "name": "ride_completed",
      "description": "Cab ride completed",
      "version": 1,
      "status": "DRAFT",
      "attributes": [
        {
          "name": "distance"
        },
        {
          "name": "time"
        }
      ],
      "dimensions": [
        {
          "name": "city"
        },
        {
          "name": "ride_type"
        }
      ],
      "usageMetersCount": 10
    }
  ],
  "nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ==",
  "context": {
    "pageSize": 10
  }
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
status
enum
Status of the event schema (`ACTIVE`, `ARCHIVED`)
status
string

Allowed filter combinations

  • status
Fields that can be searched on using _search query param
name
string
description
string
Fields with which the list response can be sorted using _sort query param
updated_at
string
name
string
Default sort order:updated_at DESC, name ASC

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by provided status

Available options:
ACTIVE,
INACTIVE
nextToken
string
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="

pageSize
number
Example:

10

Response

Response for list events request

data
object[]
nextToken
string
context
object